<?php

/**
 * @file
 * Filled installation of Drupal 7.0, for test purposes.
 *
 * This file was generated by the dump-database-d7.sh tool, from an
 * installation of Drupal 7, filled with data using the generate-d7-content.sh
 * tool. It has the following modules installed:
 *  - block
 *  - dblog
 *  - entity
 *  - field
 *  - field_sql_storage
 *  - filter
 *  - ideal
 *  - idealdonation
 *  - idealui
 *  - node
 *  - system
 *  - text
 *  - update
 *  - user
 *  - minimal
 */

db_insert('ideal_acquirer')->fields(array(
  'iaid',
  'title',
  'public_certificate_path',
  'url_live',
  'url_test',
  'locked',
))
->values(array(
  'iaid' => '1',
  'title' => 'iDEAL Simulator Professional/Advanced/Zelfbouw',
  'public_certificate_path' => './sites/all/modules/ideal/ideal/encryption/ideal.idealsimulatorpaz.acquirer.public.cer',
  'url_live' => 'https://www.ideal-simulator.nl:443/professional/',
  'url_test' => 'https://www.ideal-simulator.nl:443/professional/',
  'locked' => '1',
))
->execute();

db_insert('ideal_merchant')->fields(array(
  'imid',
  'title',
  'merchant_id',
  'sub_id',
  'private_key_path',
  'private_key_password',
  'public_certificate_path',
  'iaid',
  'locked',
))
->values(array(
  'imid' => '1',
  'title' => 'iDEAL Simulator Professional/Advanced/Zelfbouw',
  'merchant_id' => '123456789',
  'sub_id' => '0',
  'private_key_path' => './sites/all/modules/ideal/ideal/encryption/ideal.idealsimulatorpaz.merchant.private.key',
  'private_key_password' => 'Password',
  'public_certificate_path' => './sites/all/modules/ideal/ideal/encryption/ideal.idealsimulatorpaz.merchant.public.cer',
  'iaid' => '1',
  'locked' => '1',
))
->execute();

$insert = db_insert('ideal_transaction')->fields(array(
  'itid',
  'uid',
  'transaction_id',
  'imid',
  'description',
  'purchase_id',
  'name',
  'city',
  'account_number',
  'amount',
  'status',
  'created',
  'updated',
  'expired',
  'entrance_code',
  'return_callback',
  'issuer_authentication_url',
));
foreach (array('Success', 'Open', 'Cancelled', 'Expired', 'Failure', 'Unknown') as $i => $status) {
  $insert->values(array(
    'itid' => $i + 1,
    'uid' => '1',
    'transaction_id' => '0000000000093012',
    'imid' => '1',
    'description' => 'Donation to Site-Install.',
    'purchase_id' => 'Donation to Site-Install.',
    'name' => 'PHP Solutions',
    'city' => 'Meppel',
    'account_number' => '108429563',
    'amount' => '500',
    'status' => $status,
    'created' => '1354731359',
    'updated' => '1354731359',
    'expired' => '1354732257',
    'entrance_code' => '',
    'return_callback' => 'idealdonation_return',
    'issuer_authentication_url' => 'https://www.ideal-simulator.nl/professional/payment.php?trxid=0000000000093012&ec=hSfKLcrgRuE2WYeRAyJL1btrSUtfz4AAONoLyFPF',
  ));
}
$insert->execute();
